SoGLProjectionMatrixElement(3)

NAME
SoGLProjectionMatrixElement - The SoGLProjectionMatrixElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoGLProjectionMatrixElement.h>

Inherits SoProjectionMatrixElement.

  Public Member Functions
virtual void pop (SoState *state, const SoElement *prevTopElement)
FIXME: write doc.

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)

  Protected Member Functions
virtual ~SoGLProjectionMatrixElement ()
virtual void setElt (const SbMatrix &matrix)
FIXME: write doc.

  Additional Inherited Members

Detailed Description

The SoGLProjectionMatrixElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoGLProjectionMatrixElement::~SoGLProjectionMatrixElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoGLProjectionMatrixElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoGLProjectionMatrixElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoGLProjectionMatrixElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoGLProjectionMatrixElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoGLProjectionMatrixElement::pop (SoState * state, const SoElement * prevTopElement) [virtual]

FIXME: write doc.

Reimplemented from SoElement.

  void SoGLProjectionMatrixElement::setElt (const SbMatrix & matrix) [protected], [virtual]

FIXME: write doc.

Reimplemented from SoProjectionMatrixElement.

Author

Generated automatically by Doxygen for Coin from the source code.